scala.tools.nsc.typechecker.Duplicators.BodyDuplicator

# FixInvalidSyms

#### class FixInvalidSyms extends Global.TypeMap

Source
  Duplicators.scala

Linear Supertypes
Global.TypeMap, (Global.Type) ⇒ Global.Type, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. FixInvalidSyms
2. TypeMap
3. Function1
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new FixInvalidSyms()

### Type Members

1. #### class TypeMapTransformer extends reflect.internal.SymbolTable.Transformer

   Definition Classes
     TypeMap

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from FixInvalidSyms to any2stringadd[FixInvalidSyms] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (FixInvalidSyms, B)

   Implicit information
     This member is added by an implicit conversion from FixInvalidSyms to ArrowAssoc[FixInvalidSyms] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def andThen[A](g: (Global.Type) ⇒ A): (Global.Type) ⇒ A

   Definition Classes
     Function1
   Annotations
     @unspecialized()

7. #### def apply(tpe: Global.Type): Global.Type

   Definition Classes
     FixInvalidSyms → TypeMap → Function1

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def compose[A](g: (A) ⇒ Global.Type): (A) ⇒ Global.Type

    Definition Classes
      Function1
    Annotations
      @unspecialized()

11. #### def ensuring(cond: (FixInvalidSyms) ⇒ Boolean, msg: ⇒ Any): FixInvalidSyms

    Implicit information
      This member is added by an implicit conversion from FixInvalidSyms to Ensuring[FixInvalidSyms] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: (FixInvalidSyms) ⇒ Boolean): FixInvalidSyms

    Implicit information
      This member is added by an implicit conversion from FixInvalidSyms to Ensuring[FixInvalidSyms] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean, msg: ⇒ Any): FixInvalidSyms

    Implicit information
      This member is added by an implicit conversion from FixInvalidSyms to Ensuring[FixInvalidSyms] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean): FixInvalidSyms

    Implicit information
      This member is added by an implicit conversion from FixInvalidSyms to Ensuring[FixInvalidSyms] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### final def flipped[T](body: ⇒ T): T

    Definition Classes
      TypeMap
    Annotations
      @inline()

19. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from FixInvalidSyms to StringFormat[FixInvalidSyms] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### def mapOver(tpe: Global.Type): Global.Type

    Definition Classes
      FixInvalidSyms → TypeMap

24. #### def mapOver(tree: Global.Tree, giveup: () ⇒ Nothing): Global.Tree

    Definition Classes
      TypeMap

25. #### def mapOver(tree: Global.Tree): Global.Tree

    Definition Classes
      TypeMap

26. #### def mapOver(annot: Global.AnnotationInfo): Global.AnnotationInfo

    Definition Classes
      TypeMap

27. #### def mapOver(origSyms: List[Global.Symbol]): List[Global.Symbol]

    Definition Classes
      TypeMap

28. #### def mapOver(scope: Global.Scope): Global.Scope

    Definition Classes
      TypeMap

29. #### def mapOverAnnotArgs(args: List[Global.Tree]): List[Global.Tree]

    Definition Classes
      TypeMap

30. #### def mapOverAnnotations(annots: List[Global.AnnotationInfo]): List[Global.AnnotationInfo]

    Definition Classes
      TypeMap

31. #### def mapOverArgs(args: List[Global.Type], tparams: List[Global.Symbol]): List[Global.Type]

    Attributes
      protected
    Definition Classes
      TypeMap

32. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

33. #### def noChangeToSymbols(origSyms: List[Global.Symbol]): Boolean

    Attributes
      protected
    Definition Classes
      TypeMap

34. #### final def notify(): Unit

    Definition Classes
      AnyRef

35. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

36. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

37. #### def toString(): String

    Definition Classes
      Function1 → AnyRef → Any

38. #### def variance: reflect.internal.Variance

    Definition Classes
      TypeMap

39. #### def variance_=(x: reflect.internal.Variance): Unit

    Definition Classes
      TypeMap

40. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### def withVariance[T](v: reflect.internal.Variance)(body: ⇒ T): T

    Definition Classes
      TypeMap

44. #### def →[B](y: B): (FixInvalidSyms, B)

    Implicit information
      This member is added by an implicit conversion from FixInvalidSyms to ArrowAssoc[FixInvalidSyms] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Global.TypeMap

### Inherited from (Global.Type) ⇒ Global.Type

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from FixInvalidSyms to any2stringadd[FixInvalidSyms]

### Inherited by implicit conversion StringFormat from FixInvalidSyms to StringFormat[FixInvalidSyms]

### Inherited by implicit conversion Ensuring from FixInvalidSyms to Ensuring[FixInvalidSyms]

### Inherited by implicit conversion ArrowAssoc from FixInvalidSyms to ArrowAssoc[FixInvalidSyms]

### Ungrouped